be.fgov.ehealth.etee.crypto.decrypt

## Class UnsealedData

- java.lang.Object
- - be.fgov.ehealth.etee.crypto.decrypt.UnsealedData

-     public class UnsealedData
      extends java.lang.Object

  Data produced when verifying/unsealing data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsealedData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.cert.X509Certificate` | `getAuthenticationCert()`
    `java.lang.String` | `getAuthenticationKeyIdentifier()`
    `java.io.InputStream` | `getContent()`
    `byte[]` | `getSignature()`
    `java.security.cert.X509Certificate` | `getSignatureCert()`
    `java.lang.String` | `getSignatureKeyIdentifier()`
    `java.util.Date` | `getSigningTime()`
    `void` | `setAuthenticationKeyIdentifier(java.lang.String authenticationKeyIdentifier)`
    `void` | `setSignatureKeyIdentifier(java.lang.String signatureKeyIdentifier)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsealedData

          public UnsealedData()

  - ### Method Detail

    - #### getContent

          public java.io.InputStream getContent()

      Returns:
        content

    - #### getAuthenticationCert

          public java.security.cert.X509Certificate getAuthenticationCert()

      Returns:
        the authenticationCert

    - #### getSignature

          public byte[] getSignature()

      Returns:
        the signature

    - #### getSigningTime

          public java.util.Date getSigningTime()

      Returns:
        the signingTime

    - #### getSignatureCert

          public java.security.cert.X509Certificate getSignatureCert()

      Returns:
        the signature certificate used for the inner signature of a triple wrapped message (only available if the message was unsealed and the inner signature contained a certificate).

    - #### getAuthenticationKeyIdentifier

          public java.lang.String getAuthenticationKeyIdentifier()

    - #### setAuthenticationKeyIdentifier

          public void setAuthenticationKeyIdentifier(java.lang.String authenticationKeyIdentifier)

    - #### getSignatureKeyIdentifier

          public java.lang.String getSignatureKeyIdentifier()

    - #### setSignatureKeyIdentifier

          public void setSignatureKeyIdentifier(java.lang.String signatureKeyIdentifier)

Copyright © 2025 eHealth. All rights reserved.